## net.i2p.router
Interface ReplyJob

All Superinterfaces:
  Job

All Known Implementing Classes:
  FloodLookupMatchJob, FloodOnlyLookupMatchJob, SearchUpdateReplyFoundJob

    public interface ReplyJob

extends Job

Defines an executable task that can be fired off in reply to a message

Method Summary
`void` `setMessage(I2NPMessage message)`

Methods inherited from interface net.i2p.router.Job
`dropped, getAddedBy, getJobId, getName, getTiming, runJob`

Method Detail

### setMessage

    void setMessage(I2NPMessage message)